package es.us.eii.pfc.jcrbib.utils;

import java.io.File;

/**
 * Clase de constantes (para importacin esttica)
 * 
 * 
 * 
 */
public class ConstantsUtils {

	/**
	 * Separador en las rutas fsicas de fichero (dependiente del S.O.)
	 */
	public static String PATHSEP = File.separator;

	/**
	 * Nombre del repositorio
	 */
	public static String REPOSITORYNAME = "jcrbib";

	/**
	 * Ruta relativa del fichero de configuracin inicial del repositorio
	 */
	public static String REPOSITORYXMLRELPATH = PATHSEP + "WEB-INF" + PATHSEP
			+ "repository.xml";

	/**
	 * Ruta relativa del fichero de inicializacin para jcrBiB del repositorio
	 */
	public static String REPOSITORYINITRELPATH = "WEB-INF" + PATHSEP + "init"
			+ PATHSEP + "init.xml";

	/**
	 * Nombre del log usado, comn para todas las clases
	 */
	public static String LOGGERNAME = "es.us.eii.pfc.jcrbib.domain";

}
