package es.us.eii.pfc.jcrbib.utils;

import javax.jcr.Credentials;
import javax.jcr.SimpleCredentials;
import javax.servlet.http.HttpSession;

/**
 * 
 * Clase para el manejo de credenciales
 * 
 * 
 * 
 */
public class CredentialsUtils {
	/**
	 * 
	 * Mtodo pensado para la obtencin de credenciales a partir de la sesin de
	 * usuario. Actualmente no es funcional
	 * 
	 * @param httpSession
	 * @return Unas credenciales vlidas
	 */
	public static Credentials getCredentials(HttpSession httpSession) {
		return getCredentials();
	}

	/**
	 * Mtodo que obtiene unas credenciales para hacer login en el repositorio.
	 * Actualmente obtiene unas credenciales con permisos, definidas por defecto
	 * 
	 * @return Unas credenciales para hacer poder hacer login en le repositorio
	 */
	public static Credentials getCredentials() {
		return new SimpleCredentials("username", "password".toCharArray());
	}
}
