<%@ page import="es.us.eii.pfc.jcrbib.domain.*"%>
<%@ page import="es.us.eii.pfc.jcrbib.utils.*"%>
<%@ page import="es.us.eii.pfc.jcrbib.data.*"%>
<%@ page import="java.util.*"%>
<%@ taglib prefix="c" uri="/WEB-INF/tld/c.tld"%>
<c:import url="/WEB-INF/jspf/header.jsp" context="/jcrbib" />

<p class="breadcrumb"><a href="/jcrbib/portal">Inicio </a></p>

<h2>Bienvenido a jcrBiB</h2>

<p>jcrBiB es un portal academico de uso <strong>libre</strong> para
almacenamiento de <strong>articulos y enlaces</strong>. Imagine que se
encuentra navegando por internet y ve un enlace o artculo interesante.
Qu le parecera almacenarlo en su biblioteca particular en un slo
click? Y qu le parecera si pudiese compartir esa articulo con todos?</p>

<p>Si quiere consultar la base de datos actual de jcrBiB, acceda a la
biblioteca pinchando en este enlace: <a href="/jcrbib/portal/bib/"
	id="accesoPagPrincipal">Acceso a la biblioteca</a></p>

<p>Si lo desea, tambien puede explorar alguna de las categorias de los
usuarios:</p>

<%-- Calculamos las tags del sitio --%>
<%
DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.JCR);
ITagDAO tagDAO = factory.getTagDAO();

SortedSet<Tag> tags = tagDAO.getTags();
pageContext.setAttribute("tags", tags);
%>

<c:if test="${!empty tags}">
	<div id="taglist">
	<ul>
		<c:forEach items="${tags}" var="tag">
			<li><%=ShowUtils.tagSizedLink(
			(Tag)pageContext.getAttribute("tag"), null)%></li>
		</c:forEach>
	</ul>
	</div>
</c:if>

<c:import url="/WEB-INF/jspf/footer.jsp" context="/jcrbib" />
